Subject: Re: Welcome to Git's GSoC 2008!

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 26 Apr 2008 14:59:43 -0400

Jakub Narebski <[email-masked]> wrote:
> On Sat, 26 Apr 2008, Shawn O. Pearce wrote:
> > Jakub Narebski <[email-masked]> wrote:
> >>
> >> I have found three another Git-related Google Summer of Code 2008
> >> projects by other organizations:
> 
> By the way, it is a bit strange that Google Summer of Code 2008 pages 
> are not fully indexed.

It is strange.  But I'm sure its something like the site is indexed
by Google itself, and the page rank algorithm is classifying most
of the pages as too low to be worth returning due to the low number
of hyperlinks going in.

> Currently searching for "git soc 2008" from 
> "Search Google Code:" search form finds only organization info for Git 
> Community, "Git plugin for Anjuta IDE" project, SoC2008Template 
> (Note, this template is blatantly plagiarized from Git's SoC 
> template ;-)

Apparently our GSoC work has been useful to others outside of Git.
Excellent.  GSoC has started to become even more of a pet project
of mine, so I'm glad to see people outside of our community have
found our work useful.
  
> >>     Git plugin for Anjuta IDE  (GNOME)
> > 
> > This project was new to me; prior to your message I did not know
> > about it.  Thanks.
> 
> Have they contacted Git Community (IRC channel, mailing list, individual 
> developers) for help, or did you contacted them, as with "KDevelop DVCS 
> support"?

They haven't contacted me or anyone I know.  I looked up an email
address for the mentor (couldn't locate one for the student)
and sent them an email, as I did for KDevelop.  Except I wrote it
after my reply to you so I didn't mention it in my reply to you.
Ok, so now I have mentioned it.  ;-)

> >>     KDevelop DVCS support      (KDE)
> 
> With these two projects, and egit/jgit for Eclipse, and also planned Git 
> support in NetBeans IDE, there would be Git support in I think most 
> used IDEs... What's left is something akin to AnkhSVN, i.e. support for 
> Git in Visual Studio; perhaps Git# projects would help with it...

I haven't heard anything about Git in NetBeans lately.  I'm hoping
that one day a devoted NetBeans user will come along and pester
us to break jgit out of the egit repository, so that they can
use it within NetBeans without lugging around Eclipse code they
don't need.  The code is already built with that in mind, it just
has the unfortunate fate of being mingled in the same repository
as the egit code.
  
> I wonder how much will be done; I guess it can borrow at least a bit 
> from QGit (history viewer) and KGit (commit tool).
>  
> >>     Git# implementation        (Mono Project)
> >
> > There is some concern from people who are close to the summer of code
> > program that two students working on the same project this summer may
> > result in one's success being dependent upon the other's success.
> > This sort of dependency is not permitted under the Summer of Code
> > rules, as it can be quite unfair to an otherwise successful student.
> 
> I was wondering how this have passed GSoC projects screening...

Marek Zawirski (the Git GSoC student adding push support to jgit)
mentioned something about this to me earlier this week.  I made a
remark about it on #gsoc, and the Google folks who do most of the
work for GSoC had not heard about it before my comment.  With so
many students and projects I am not surprised that they cannot
screen everything.

Most of the screening is left up to the mentors themselves.  So in
this case the Mono mentors must have felt that this project was
large enough and important enough to justify using two student
slots, and that either they didn't know about the rule, were going
to ignore the rule, or would be able to structure the projects to
avoid this dependency.

I hadn't realized Git was so important to the Mono folks.  I thought
they were still on SVN.  In any event, it is interesting that they
are building IDE support.  Its depressing that Microsoft managed to
fracture the development communities into Java vs. C# and that they
use different VMs, resulting in it being more likely that code will
be rewritten rather than reused.

-- 
Shawn.